<?php
// Восстановление пароля и отправка на E-mail
require_once 'core/system.php';



head('Восстановление пароля ');

if(isset($_GET['pass'])){
if(empty($_POST['email']) and empty($_POST['login'])){
?><style>
.w160px {width: 160px;}
.mt110 {margin-top: 109px;}
.start
{color: yellow;}
body
{ background-color: #
000; background-position: top
center; }
.back-start
{ background: #000 url('http://nix.worldbyte.net/img/start.jpg') top center no-repeat; display: block;
</style><?

if (isset($_SESSION['log'])){?><center><?=$_SESSION['log']?><center><?   $_SESSION['log']=NULL; }
?><center>
<div class="back-start">

</br></br></br></br>


<span class=info><b>Внимание! Будет создан новый пароль.</b></span>



<form action="recovery.php?pass" method="POST">
<span class=info><b>Логин:</b></span>
<br/>
<input class="text" style="width:78%; height:20px; color: red; box-shadow: 0 0 30px;" type="text" value="" name="login">
<br/>
<span class=info><b>E-mail:</b></span>
<br/>
<input class="text" style="width:78%; height:20px; color: red; box-shadow: 0 0 30px;" type="text" value="" name="email">
<br/><br/>

<input class="btn" style="width:50%; height:30px; color: red; box-shadow: 0 0 20px;" type="submit" value="Восстановить">

</form>

</br></br> </div>
</center><?
}
else{
$lost = htmlspecialchars(stripslashes(addslashes($_POST['login'])));
$email = htmlspecialchars(stripslashes(addslashes($_POST['email'])));
$npass = rand(1000,10000);
$mnpass = protect(md5_sault($npass));
$rep = $dbc->query("SELECT * FROM `users` WHERE `login` = '$lost' AND `mail` = '$email' "); 

$avtol = $rep->num_rows;

// Перезапись нового пароля $mnpass в базе данных
if ($avtol==1){
$dbc->query("UPDATE `users` SET `pass` = '$mnpass' WHERE `login` = '$lost' ");




$to ="$email";





















 $subject = 'password recovery';

$regmail = "Здравствуйте ".$lost."<br />\r вы инициализировали смену пароля<br />\r\nВаши новые данные для входа<br />\r\nЛогин: ".$lost."<br />\r\nПароль: ".$npass."<br />\r\n<br />\r\nпри входе пароль желательно сменить!<br />\r\nС уважением, Администрация!<br />\r\n";


        $adds = "From: <flash@nixwar.ru>\n";
        $adds .= "X-sender: <flash@nixwar.ru>\n";
        $adds .= "Content-Type: text/html; charset=utf-8\n";
        @mail($to,$subject,$regmail,$adds);
	

	


@mail($to,$subject,$regmail);
	

	









$_SESSION['log']='<font color="lime">
Новый пароль отправлен на ваш E-mail.'; header('location:recovery.php?pass');exit;
}
else{$_SESSION['log']='<font color="red">
Неверный Логин или E-mail.'; header('location:recovery.php?pass');exit;
}
}
}
?>